# std::list::pop_back

From cppreference.com
< cpp‎ | container‎ | list

void pop_back(); |  |

Removes the last element of the container.

Calling `pop_back` on an empty container is undefined.

References and iterators to the erased element are invalidated.

### Parameters

(none)

### Return value

(none)

### Complexity

Constant.

### Exceptions

(none)

### See also

pop_front | removes the first element (public member function)
push_back | adds an element to the end (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/list/pop_back&oldid=50533"